#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long int x, y;
    cin>>x>>y;
    long long int broj = 0;
    long long int i = 1;
    int x1, y1;
    while(x>0 || y>0){
        x1 = x%10;
        y1 = y%10;
        if(x1 == y1 && x1!=0 && y1!=0){
            broj += x1 * i;
            i*=10;
            broj += x1 * i;
        }else
            broj += max(x1, y1) * i;
        x/=10;
        y/=10;
        i*=10;
    }
    cout<<broj;
    return 0;
}